org.apache.jmeter.extractor.json.jmespath

## Class JMESPathCacheLoader

- java.lang.Object
- - org.apache.jmeter.extractor.json.jmespath.JMESPathCacheLoader

- All Implemented Interfaces:
    com.github.benmanes.caffeine.cache.AsyncCacheLoader<String,io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>>, com.github.benmanes.caffeine.cache.CacheLoader<String,io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>>

      public class JMESPathCacheLoader
      extends Object
      implements com.github.benmanes.caffeine.cache.CacheLoader<String,io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>>

  Since:
    5.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMESPathCacheLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>` | `load(String jmesPathExpression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.github.benmanes.caffeine.cache.CacheLoader

      `asyncLoad, asyncLoadAll, asyncReload, loadAll, reload`

- - ### Constructor Detail

    - #### JMESPathCacheLoader

          public JMESPathCacheLoader()

  - ### Method Detail

    - #### load

          public io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode> load(String jmesPathExpression)
                                                                                    throws Exception

      Specified by:
        `load` in interface `com.github.benmanes.caffeine.cache.CacheLoader<String,io.burt.jmespath.Expression<com.fasterxml.jackson.databind.JsonNode>>`
      Throws:
        `Exception`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.